#Module-Specific definitions
%define mod_version 0.1
%define release 1mdk
%define mod_name mod_zipread
%define mod_conf A16_%{mod_name}.conf
%define mod_so %{mod_name}.so
%define sourcename %{mod_name}-%{mod_version}

#New ADVX macros
%define ADVXdir %{_datadir}/ADVX
%{expand:%(cat %{ADVXdir}/ADVX-build)}
%{expand:%%global ap_version %(%{apxs} -q ap_version)}

# Standard Module Definitions
%define name %{ap_name}-%{mod_name}
%define version %{ap_version}_%{mod_version}

#Standard ADVX requires
Prereq:		%{ap_name} = %{ap_version}
Prereq:		%{ap_name}-conf
BuildPreReq:	ADVX-build >= 9.2
BuildRequires:	%{ap_name}-devel >= 2.0.43-5mdk
Provides: 	ADVXpackage
Provides:	AP20package

Summary:	Mod_zipread is a DSO module for the %{ap_name} Web server.
Name:		%{name}
Version:	%{version}
Release:	%{release}
Group:		System/Servers
Source0: 	modzipread-%{mod_version}.tar.bz2
Source1:	%{mod_conf}.bz2
Patch0:		modzipread-0.1-header_fix.diff.bz2
License:	GPL
URL:		http://modzipread.sourceforge.net/
BuildRequires:	zziplib-devel
BuildRoot:	%{_tmppath}/%{name}-buildroot

%description
Mod ZipRead is an Apache 2 module to browser Zip Archives. It uses
zziplib.

%prep

%setup -q -n modzipread-%{mod_version}
%patch0 -p0

%build

%{apxs} -c %{mod_name}.c -lzzip

%install
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}

%ADVXinstlib
%ADVXinstconf %{SOURCE1} %{mod_conf}
%ADVXinstdoc %{name}-%{version}

%clean
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}

%post
%ADVXpost

%postun
%ADVXpost

%files
%defattr(-,root,root)
%doc AUTHORS ChangeLog DESC INSTALL
%config(noreplace) %{ap_confd}/%{mod_conf}
%{ap_extralibs}/%{mod_so}
%{ap_webdoc}/*

%changelog
* Wed Sep 10 2003 Oden Eriksson <oden.eriksson@kvikkjokk.net> 2.0.47_0.1-1mdk
- initial cooker contrib
